# libconfig: Class List

Loading...
Searching...
No Matches
Class List
Here are the classes, structs, unions and interfaces with brief descriptions:

fourdst |
config |
exceptions |
ConfigError | Base exception class for all configuration-related errors
ConfigLoadError | Thrown when loading the configuration from a file fails
ConfigParseError | Thrown when parsing the configuration file fails
ConfigSaveError | Thrown when saving the configuration to a file fails
SchemaSaveError | Thrown when generating or saving the JSON schema fails
Config | Wrapper class for managing strongly-typed configuration structures
InspectType |
is_config_wrapper | Type trait to determine if a type is a Config wrapper
is_config_wrapper< Config< T > > | Specialization of `is_config_wrapper` for `Config<T>`
std | STL namespace
formatter< fourdst::config::Config< T >, CharT > | Formatter specialization for Config<T> to allow easy printing